if (CSS.registerProperty) {
  /* Neutral Inverse 1 - if used as a background, please use Neutral Inverse Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Error Base 1 - if used as a background, please use Error Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Inverse 1 - if used as a background, please use Brand Inverse Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Neutral Inverse 2 - if used as a background, please use Neutral Inverse Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2e30",
  });
  /* Error Base 2 - if used as a background, please use Error Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fef1ee",
  });
  /* Neutral Base 1 - if used as a background, please use Neutral Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Base 1 - if used as a background, please use Brand Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Inverse 2 - if used as a background, please use Brand Inverse Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Neutral Inverse 3 - if used as a background, please use Neutral Inverse Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#444447",
  });
  /* Error Base 3 - if used as a background, please use Error Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feded8",
  });
  /* Neutral Base 2 - if used as a background, please use Neutral Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f3f3f3",
  });
  /* Brand Base 2 - if used as a background, please use Brand Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eef4ff",
  });
  /* Brand Inverse 3 - if used as a background, please use Brand Inverse Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Warning Base Contrast 1 - if used as a background, please use Warning Base Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a86403",
  });
  /* Neutral Inverse 4 - if used as a background, please use Neutral Inverse Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a5c61",
  });
  /* Error Base 4 - if used as a background, please use Error Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feb8ab",
  });
  /* Neutral Base 3 - if used as a background, please use Neutral Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5e5e5",
  });
  /* Brand Base 3 - if used as a background, please use Brand Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d8e6fe",
  });
  /* Brand Inverse 4 - if used as a background, please use Brand Inverse Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Warning Base Contrast 2 - if used as a background, please use Warning Base Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8c4b02",
  });
  /* Neutral Base 4 - if used as a background, please use Neutral Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c9c9cb",
  });
  /* Brand Base 4 - if used as a background, please use Brand Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aacbff",
  });
  /* Warning Base Contrast 3 - if used as a background, please use Warning Base Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#6f3400",
  });
  /* Success Base 1 - if used as a background, please use Success Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Warning Base Contrast 4 - if used as a background, please use Warning Base Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#4f2100",
  });
  /* Success Base 2 - if used as a background, please use Success Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ebf7e6",
  });
  /* Success Base 3 - if used as a background, please use Success Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cdefc4",
  });
  /* Success Base 4 - if used as a background, please use Success Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#91db8b",
  });
  /* Success Base Contrast 1 - if used as a background, please use Success Base Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e844a",
  });
  /* Success Base Contrast 2 - if used as a background, please use Success Base Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#22683e",
  });
  /* Success Base Contrast 3 - if used as a background, please use Success Base Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#194e31",
  });
  /* Warning Base 1 - if used as a background, please use Warning Base Contrast 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Success Base Contrast 4 - if used as a background, please use Success Base Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0e3522",
  });
  /* Warning Base 2 - if used as a background, please use Warning Base Contrast 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fbf3e0",
  });
  /* Neutral Base Contrast 1 - if used as a background, please use Neutral Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#929398",
  });
  /* Warning Base 3 - if used as a background, please use Warning Base Contrast 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f9e3b6",
  });
  /* Brand Base Contrast 1 - if used as a background, please use Brand Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Neutral Base Contrast 2 - if used as a background, please use Neutral Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#737479",
  });
  /* Neutral Inverse Contrast 1 - if used as a background, please use Neutral Inverse Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#737479",
  });
  /* Brand Inverse Contrast 1 - if used as a background, please use Brand Inverse Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Warning Base 4 - if used as a background, please use Warning Base Contrast 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fcc003",
  });
  /* Brand Base Contrast 2 - if used as a background, please use Brand Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Error Base Contrast 1 - if used as a background, please use Error Base Base 1-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-contrast-1",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ea001e",
  });
  /* Neutral Base Contrast 3 - if used as a background, please use Neutral Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a5c61",
  });
  /* Neutral Inverse Contrast 2 - if used as a background, please use Neutral Inverse Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#929398",
  });
  /* Brand Inverse Contrast 2 - if used as a background, please use Brand Inverse Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Brand Base Contrast 3 - if used as a background, please use Brand Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Error Base Contrast 2 - if used as a background, please use Error Base Base 2-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-contrast-2",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ba0517",
  });
  /* Neutral Base Contrast 4 - if used as a background, please use Neutral Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Neutral Inverse Contrast 3 - if used as a background, please use Neutral Inverse Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#adaeb1",
  });
  /* Brand Inverse Contrast 3 - if used as a background, please use Brand Inverse Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#78b0fd",
  });
  /* Brand Base Contrast 4 - if used as a background, please use Brand Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Error Base Contrast 3 - if used as a background, please use Error Base Base 3-4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-contrast-3",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8e030f",
  });
  /* Neutral Inverse Contrast 4 - if used as a background, please use Neutral Inverse Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-inverse-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Inverse Contrast 4 - if used as a background, please use Brand Inverse Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-inverse-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Error Base Contrast 4 - if used as a background, please use Error Base Base 4 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-contrast-4",
    syntax: "<color>",
    inherits: true,
    initialValue: "#640103",
  });
}
